#include <LiquidCrystal_I2C.h>
#include <Wire.h>

LiquidCrystal_I2C lcd (0x27 , 16 , 2);
const int pinX = A0;
const int pinY = A1;
const int Button = 2;
int location = 0;
int locationY = 0;
int locationDog = 15;
int locationDogY = 1;
int iter = 0;

byte customChar[] = {
  B00100,
  B01010,
  B00100,
  B01110,
  B10101,
  B00100,
  B01110,
  B10001
};
byte customChar1[] = {
  B01110,
  B11111,
  B10101,
  B00001,
  B01011,
  B11111,
  B00100,
  B00100
};
void setup() {
  // put your setup code here, to run once:
  pinMode(pinX, INPUT);
  pinMode(pinY, INPUT);
  pinMode(Button, INPUT_PULLUP);

  lcd.init();
  lcd.backlight();
  lcd.createChar(0, customChar);
  lcd.createChar(1, customChar1);

  lcd.setCursor(3, 0);
  lcd.print("The");
  lcd.setCursor(7, 1);
  lcd.print("Game");
  delay(3000);lcd.clear();

  lcd.setCursor(0, 0);
  lcd.write(0);
  lcd.setCursor(15, 1);
  lcd.write(1);
}

void loop() {
  lcd.setCursor(location, locationY);
  lcd.write(0);
  lcd.setCursor(locationDog, locationDogY);
  lcd.write(1);
  delay(100);lcd.clear();
  if (analogRead(pinX) > 700) location++;
  if (analogRead(pinX) < 300) location--;
  if (analogRead(pinY) > 700) locationY++;
  if (analogRead(pinY) < 300) locationY--;
  locationY = constrain(locationY, 0, 1);
  location = constrain(location, 0, 15);
  iter = iter<10?iter+1:0;
  if (iter==0){
  locationDog = location > locationDog? locationDog+1:locationDog;
  locationDog = location < locationDog? locationDog-1:locationDog;
  if(locationDog == location)locationDogY = locationY;}
  if ((locationDog == location)&&(locationDogY == locationY)){
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Game over");
    

    while (digitalRead(2) == HIGH) {}
    lcd.setCursor(0, 0);
    lcd.write(0);
    lcd.setCursor(15, 1);
    lcd.write(1);
    location = 0;
    locationY = 0;
    locationDog = 15;
    locationDogY = 1;
    iter = 0;
    }

}
